net.i2p.data.i2cp

## Class I2CPMessageHandler

- java.lang.Object
- - net.i2p.data.i2cp.I2CPMessageHandler

    public class I2CPMessageHandler
    extends Object

Handle messages from the server for the client or vice versa

### Constructor Summary

Constructors
Constructor and Description
`I2CPMessageHandler()`

### Method Summary

Methods
`static I2CPMessage` `readMessage(InputStream in)` Read an I2CPMessage from the stream and return the fully populated object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### I2CPMessageHandler

    public I2CPMessageHandler()

### Method Detail

#### readMessage

    public static I2CPMessage readMessage(InputStream in)
                                   throws IOException,
                                          I2CPMessageException

Read an I2CPMessage from the stream and return the fully populated object.

Parameters:
  `in` - I2CP input stream
Returns:
  Fully populated I2CPMessage
Throws:
  `IOException` - if there is an IO problem reading from the stream
  `I2CPMessageException` - if there is a problem handling the particular message - if it is an unknown type or has improper formatting, etc.